QGIS Application - Bug report #14381
OTF projection affects 2.5d renderer
2016-02-26 05:55 AM - Tom Chadwin

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22363
Description

Symbolizing a layer with the 2.5d defaults works if the view projection matches the layer. If another projection is chosen (OTF), the
rendering fails, relating to rendering order:

- objects further from the camera overlap nearer objects
- further elements of a feature's geometry overlap nearer elements

| have no idea how general this issue is, or whether there is something specific to my data or choice of projections.

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#2 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

#3 - 2019-03-11 04:03 PM - Tom Chadwin

- File layer_in_ EPSG27700_with_project_in EPSG3857.png added
- Status changed from Closed to Reopened

- File layer_and_project_in_EPSG27700.png added

Issue still present in 3.6. Updated screenshots attached. 2.5D renderer, default settings (except angle changed to 90deg).

#4 - 2019-03-11 04:04 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.6.0
- Description updated

- Status changed from Reopened to Open

- Assignee deleted (Matthias Kuhn)
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

- Resolution deleted (end of life)
